<!DOCTYPE HTML>
<!--
	Theory by TEMPLATED
	templated.co @templatedco
	Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
-->
<html>
	<head>
		<title>Améliorations</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
	</head>
	<body class="subpage">

		<!-- Header -->
		<header id="header">
			<div class="inner">
				<a href="index.html" class="logo">Notre Jeu</a>
				<nav id="nav">
					<a href="idee.html">Idée et conception</a>
					<a href="implementation.html">Implémentation</a>
					<a href="amelioration.html">Futures améliorations</a>
					<a href="compilation.html">Compilation</a>
					<a href="jouer.html">Commment jouer</a>
				</nav>
				<a href="#navPanel" class="navPanelToggle"><span class="fa fa-bars"></span></a>
			</div>
		</header>


		<!-- Main -->
			<section id="main" class="wrapper">
				<div class="inner">
					<header class="align-center">
						<h2>Les améliorations futures</h2>
						<p>Les améliorations auquelles nous avons pensez, facile à mettre en place grâce à l'architecture de notre projet.</p>
					</header>

				<!-- Content -->
					<h2 id="content">Nos idées ainsi que des pistes d'implémentations</h2>
					<p>Ceci sont des pistes d'améliorations du jeu, que nous avons jugé intéressantes et facile à implémentéer car patiellement implémenté ou de par l'architecture du projet.</p>
					<div class="row">
						<div class="6u 12u$(small)">
							<h3>Génération de cartes à multiples chemins </h3>
							<p>L'algorithme actuel ne crée jamais de chemins multiples ou avec des boucles, ceci pourrait être une améliorations intéressante. </p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Stockage des données utilisateur en ligne avec JDBC</h3>
							<p> Les donées sont actuellement stockées en JSON, une connexion à une base de donnée serait simple à mettre en place et permettrait de récupérer ses données depuis internet (L'ajout d'un champ de mot de passe et son traitement serait certainement approprié).</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Système de niveau </h3>
							<p> La classe User possède déja les attributs d'expérience et de niveau ainsi que la fonction de calcul du nouvel état (niveau et exp) après avoir gagné  de l'expérience, il ne faut donc que l'afficher et utiliser ces fonctions. Ce n'est pas implémenté pour le moment, car nous n'avons pas trouvé d'apport à cette fonctionnalité.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Paramètres de génération </h3>
							<p> La fonction de génération possèdes des attributs statics ayant un impact sur la génération de la map, exemple :  les nombres de cases min et max de case constructible généré (les doubles peuvent avoir lieux donc le min n'est pas exact), il serait intéressant, de permettre via les paramètres de choisir ces valeurs.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Paramètres de difficultés </h3>
							<p>Il faudrait créé une variable avec les différents paramètres changés par cette option, au moins le nombre de vie, et chargé cette valeur au lancement du jeu.</p>
						</div>
					</div>
				</div>
			</section>
		<!-- Footer -->
		<footer id="footer">
			<div class="inner">
				<div class="flex">
					<div class="copyright">
						&copy; Heroes Tower Defense. Design with <a href="https://templated.co">TEMPLATED</a>, made by Jordan Rey-Jouanchicot.
					</div>
				</div>
			</div>
		</footer>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/skel.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>